{ pkgs, username, ... }: {

    services.cage = {
        enable = true;
        user = username;
    };
    
    environment.etc = {
        "background.jpg".source = ./background.jpg;
    };
    
    programs.regreet = {
        enable = true;
        cageArgs = ["-s" "-m" "last" ];
        
        settings = builtins.fromTOML (builtins.readFile ./regreet.toml);

    };
}
